[arch-commits] Commit in wget/repos (6 files)

Anatol Pomozov anatolik at archlinux.org
Wed Mar 9 19:46:40 UTC 2016


    Date: Wednesday, March 9, 2016 @ 20:46:40
  Author: anatolik
Revision: 261252

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  wget/repos/testing-i686/
  wget/repos/testing-i686/PKGBUILD
    (from rev 261251, wget/trunk/PKGBUILD)
  wget/repos/testing-i686/wget.install
    (from rev 261251, wget/trunk/wget.install)
  wget/repos/testing-x86_64/
  wget/repos/testing-x86_64/PKGBUILD
    (from rev 261251, wget/trunk/PKGBUILD)
  wget/repos/testing-x86_64/wget.install
    (from rev 261251, wget/trunk/wget.install)

-----------------------------+
 testing-i686/PKGBUILD       |   44 ++++++++++++++++++++++++++++++++++++++++++
 testing-i686/wget.install   |   20 +++++++++++++++++++
 testing-x86_64/PKGBUILD     |   44 ++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/wget.install |   20 +++++++++++++++++++
 4 files changed, 128 insertions(+)

Copied: wget/repos/testing-i686/PKGBUILD (from rev 261251, wget/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2016-03-09 19:46:40 UTC (rev 261252)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=wget
+pkgver=1.17.1
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('openssl' 'libidn' 'libutil-linux')
+checkdepends=('perl-http-daemon' 'perl-io-socket-ssl' 'python')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ae737ab2252607ce708f98d1dd7559ebf047f48'
+          'SKIP')
+validpgpkeys=('AC404C1C0BF735C63FF4D562263D6DF2E163E1EA')
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+  cat >> doc/sample.wgetrc <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-nls --with-ssl=openssl
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Copied: wget/repos/testing-i686/wget.install (from rev 261251, wget/trunk/wget.install)
===================================================================
--- testing-i686/wget.install	                        (rev 0)
+++ testing-i686/wget.install	2016-03-09 19:46:40 UTC (rev 261252)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: wget/repos/testing-x86_64/PKGBUILD (from rev 261251, wget/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2016-03-09 19:46:40 UTC (rev 261252)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=wget
+pkgver=1.17.1
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('openssl' 'libidn' 'libutil-linux')
+checkdepends=('perl-http-daemon' 'perl-io-socket-ssl' 'python')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ae737ab2252607ce708f98d1dd7559ebf047f48'
+          'SKIP')
+validpgpkeys=('AC404C1C0BF735C63FF4D562263D6DF2E163E1EA')
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+  cat >> doc/sample.wgetrc <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-nls --with-ssl=openssl
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Copied: wget/repos/testing-x86_64/wget.install (from rev 261251, wget/trunk/wget.install)
===================================================================
--- testing-x86_64/wget.install	                        (rev 0)
+++ testing-x86_64/wget.install	2016-03-09 19:46:40 UTC (rev 261252)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list